com.dlsc.flexgantt.swing

## Class GanttChartActionMap<T extends GanttChart>

- java.lang.Object
- - javax.swing.ActionMap
  - - com.dlsc.flexgantt.swing.AbstractGanttChartActionMap<T>
    - - com.dlsc.flexgantt.swing.GanttChartActionMap<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    IGanttChartActionMap, Serializable

      public class GanttChartActionMap<T extends GanttChart>
      extends AbstractGanttChartActionMap<T>

  The default action map used for instances of `GanttChart`.
  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.AbstractGanttChartActionMap

      `ADD_HIGHLIGHTED_OBJECTS_ACTION, CATEGORY_CHART, CATEGORY_OTHER, CATEGORY_TABLE, CATEGORY_TIMELINE, CLEAR_HIGHLIGHTED_OBJECTS_ACTION, DELETE_NODE_ACTION, DELETE_TIMELINE_OBJECTS_ACTION, GRID_ACTION, INDENT_NODES_ACTION, INSERT_NODE_ACTION, MOVE_FOCUS_ABOVE_ACTION, MOVE_FOCUS_BELOW_ACTION, MOVE_FOCUS_BOTTOM_ACTION, MOVE_FOCUS_HOME_ACTION, MOVE_FOCUS_NEXT_ACTION, MOVE_FOCUS_PAGE_DOWN_ACTION, MOVE_FOCUS_PAGE_UP_ACTION, MOVE_FOCUS_PREVIOUS_ACTION, OUTDENT_NODES_ACTION, REDO_ACTION, REMOVE_HIGHLIGHTED_OBJECTS_ACTION, SCROLL_TIMELINE_LEFT_ACTION, SCROLL_TIMELINE_LEFT_FAST_ACTION, SCROLL_TIMELINE_RIGHT_ACTION, SCROLL_TIMELINE_RIGHT_FAST_ACTION, SELECT_ROWS_DOWNWARD_ACTION, SELECT_ROWS_UPWARD_ACTION, TOGGLE_CROSSHAIR_ACTION, TOGGLE_EVENTLINE_ACTION, TOGGLE_NODE_ACTION, UNDO_ACTION, ZOOM_IN_ACTION, ZOOM_OUT_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GanttChartActionMap(T gc)` Constructs a new action map.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.swing.AbstractGanttChartActionMap

      `addCategory, addCategoryAction, getCategories, getCategoryActions, initCategoryActionMap, removeCategory, removeCategoryAction`

    - ### Methods inherited from class javax.swing.ActionMap

      `allKeys, clear, get, getParent, keys, put, remove, setParent, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GanttChartActionMap

          public GanttChartActionMap(T gc)

      Constructs a new action map.
      Parameters:
        `gc` - the target Gantt chart
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.